Uploaded image for project: 'Appcelerator Studio'
  1. Appcelerator Studio
  2. TISTUD-6552

Download and index Node.js core modules for user (for version they have)

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Medium
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: Release 3.4.0
    • Component/s: JS, Usability
    • Labels:
      None
    • Story Points:
      8
    • Sprint:
      2014 Sprint 16 Studio

      Description

      We do support Node/NPM fairly well and can handle module require's decently. But one big hole in our support is that we don't try and force the user to grab the Node.js sources for the version they're using and index those core modules (where we can). This means we can't jump to core modules or give any useful content assist on them.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                cwilliams Christopher Williams
                Reporter:
                cwilliams Christopher Williams
                Reviewer:
                Praveen Innamuri (Inactive)
              • Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: